---
title: Signal
description:
layout: doc
menu:
  docs:
    parent: "Signals"
---

## signal.sigint
Thrown when Hilbish receive the SIGINT signal,
aka when Ctrl-C is pressed.

#### Variables
This signal returns no variables.

<hr>
	
## signal.resize
Thrown when the terminal is resized.

#### Variables
This signal returns no variables.

<hr>

## signal.sigusr1
Thrown when SIGUSR1 is sent to Hilbish.

#### Variables
This signal returns no variables.

<hr>

## signal.sigusr2
Thrown when SIGUSR2 is sent to Hilbish.

#### Variables
This signal returns no variables.

